Subject: Re: SCSI Term Fix#1
From: [email-masked] (Robert Tate)
Date: 4 Feb 1995 22:37:37 GMT
Newsgroups: comp.sys.apple2

Robert Tate ([email-masked]) wrote:

: --
:      ____________________________  ////  ______________________________
:     |                             |--00                                |
:     | Apple // Forever!!!!!!      C   ^        [email-masked]            |
:     |                              \ ~/        [email-masked]  |
:     |__________________________________________________________________|

Newsgroups: comp.sys.apple2
Summary:
Keywords:
 
I'm going to try to do a dump here of one possible solution to the
termination problem associated with *some* Apple Hi-Speed SCSI's.  I
have not tried this, so if it doesn't work, don't come running to me as
I will take no responsibility for any adverse effects or damages caused
by this.

Terminator Power Adapter
 
Here is a relatively simple solution to the problem of a new SCSI hard drive
not working with an Apple High Speed SCSI card.  For me it was a Quantum 170
meg ELS drive, but other drives may have the same problem.  The problem
is that the new drive is not supplying terminator power that the card
needs to function properly.  Older Quantum drives supply the necessary
terminator power, but newer models apparently do not.  Newer Apple High
Speed SCSI cards supply terminator power to themselves but not to
anything else connected to the card.  This could be a problem if your
--More--
 
drive or other SCSI device at the end of the SCSI chain needs terminator
power.  To complicate the problem, a newly purchased High Speed SCSI
card may well turn out not to be the newer model.  Mine was not, nor were
several recently purchased by a friend for his school, even though they
came direct from Apple.
 
There are two ways to reliably fix the problem.  One is to buy a RamFast
SCSI which is equipped to supply terminator power card and the other is to
make a relatively simple modification to the Apple Card that involves
soldering a diode onto the card.  Not wanting to void my warranty, I
devised the following adaptor that accomplishes the same thing but does
not modify the card in any way.
 
Parts needed -  One diode #4002 or 4003
                One Tantalum Capacitor, 10 uf - 10 Volts or more
                One Gender Changer Hood (Digi-Key #925P-ND)
                Micro Test Clip (Radio Shack Part 270-355B, 4 per pkg)
                One Male DB-25 Connector
                One Female DB-25 Connector
                Insulated hook-up wire
                Shrink fit tubing
                Two Hex screw, nut and lock washer sets to provide a
--More--
                  place to attach a cable to the female DB-25
 
Directions:
 
A. Measure the length of hook-up wire needed to connect the male and female
DB-25 connectors so that they fit properly into the hood.  The hood is not
critical if sturdy solid connection wire is used, but it provides strain
relief for the connections and makes for a better job.
 
B. Cut 25 identical lengths of the wire.  Strip off about 1/4 inch of
insulation off one end or 1/8 inch off both ends if the insulation won't
slide on the wire to be centered later.
 
C. Solder the wires from the male to the female connector matching the pin
numbers 1-1, 2-2, etc.  Omit the 25-25 wire for now.  To guarantee that the
connectors will fit into the hood, begin by soldering one wire at either
end of the connectors and check the fit.  Then fill in the wires with the
spacing of the DB-25 connectors fixed by the first two wires.
 
D. Cut the insulation at the center of the remaining wire and spread the
insulation so that there is an uninsulated length of about 1/4 inch near the
center of the wire length.  Strip more insulation off one end so about
--More--
1/8" of bare wire is exposed at both ends.
 
E.  Solder the 25th wire in place.
 
F. Solder a slightly longer wire from the metal shell of the male to the
shell of the female connector.  Place the wire so it will not interfere
with the closing of the hood.  It may be necessary to scrape the finish
off the shell to get the solder to adhere.
 
G.  Trim and then insulate the leads of the capacitor with shrink-fit
tubing.  Solder the capacitor so that its + side is at one end of the #25
wire and the other lead is attached to an end of the #24 wire. The
connections can be made to either end of the #24 and #25 wires depending
on the physical structure of your capacitor.  Position the capacitor
close to the wires being sure that no shorts are possible.
 
H.  Trim the diode leads to about an inch long and cut a length of
shrink fit tubing to fit the end with the black band.  Leave about 1/4
inch of metal exposed, and bend it into a "U" shape.  Crimp the "U" onto
the exposed center portion of wire #25.  Solder the connection.
 
I.  Twist a 8" length of insulated hook-up wire onto the other end of
--More--
the diode and solder the connection. Cover the exposed end of the diode
lead with shrink-fit tubing.
 
J.  Drill a hole or cut a notch in the hood near the end which will hold the
male connector.  That's the end with the screw holders. Adjust the
position and length of the wire so it is convenient for your computer
layout. The wire will go into the computer and then over to the SCSI card.
 
K. Position the attachment screws supplied with the hood and then clip
the hood in place with the long wire coming out of the hole or notch.
Install the screw hardware on the female DB-25 to provide for a secure
attachment of the SCSI cable to the female connector.
 
L. Attach a micro test clip to the end of the long wire. The top part of the
clip pulls off and the wire is threaded through the opening before it is
soldered to the back of the clip.
 
That's it.  To install the Warranty Preserving Gender-Changer Terminator
Power Adaptor by attaching it to the SCSI connector at the back of the
computer.  Attach the SCSI cable from the hard drive to the other end of
the adaptor.  Run the long wire into the computer so that it can reach
the SCSI card.  I chose a path near the corner of the rear of the GS. I
--More--
ran the wire through an existing notch between the back of the case and
the plastic latch that holds the top of the computer in place.  Hook
the test clip to the + end of the big capacitor that is near the cable
end of the Apple High Speed SCSI card just above the 5th (counting from
the cable end) gold "finger" of the card's connector. The clip goes at
the end of the capacitor closest to the gold fingers.  The connection
point is near the lower right of the card as it is pictured on the
cover of the High Speed SCSI card manual.
 
The job is not as bad as it sounds.  It took me several times longer to
write this than to make the gadget.
 
                                      Bill Shuff [W.SHUFF]
 
This is one solution.  The other, mentioned above, soldering a diode
directly on the SCSI board is the one I used before I got my RamFAST and
does work.  If anyone is interested in learning how to do this.....I'm
trying to get the GIF that shows where to solder the diode and will post
it as soon as I can.
 
P.S. To Steve Jensen ([email-masked]), I've tried to respond
to your messages but am unable to get through.

--
     ____________________________  ////  ______________________________
    |                             |--00                                |
    | Apple // Forever!!!!!!      C   ^        [email-masked]            |
    |                              \ ~/        [email-masked]  |
    |__________________________________________________________________|